Bug 112781 - libgcj install during kickstart %post fails
libgcj install during kickstart %post fails
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: libgcj (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-12-31 14:32 EST by Brian Long
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-07 07:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Long 2003-12-31 14:32:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030807

Description of problem:
When I include libgcj in my kickstart, %post tries to run
/sbin/install-info, but it fails.  This is because libgcj does not
"require info" in the spec file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install libgcj via kickstart.
2. View /root/install.log.

Actual Results:  Installing libgcj-3.2.3-20.i386.
/var/tmp/rpm-tmp.4306: line 3: /sbin/install-info: No such file or
error: %post(libgcj-3.2.3-20) scriptlet failed, exit status 127

Expected Results:  Install cleanly.

Additional info:

rpm -qp --requires libgcj-3.2.3-20.i386.rpm does not include info or
Comment 1 Jakub Jelinek 2004-10-07 07:51:13 EDT
This was fixed in libgcj-3.2.3-26, i.e. in RHEL3 U2 and later.

Note You need to log in before you can comment on or make changes to this bug.